Opened 4 years ago

Closed 17 months ago

#52449 closed defect (fixed)

tomcat6 should depend on junit?

Reported by: ibethune (Iain Bethune) Owned by: blair (Blair Zajac)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc: chrstphrchvz (Christopher Chavez)
Port: tomcat6

Description

I tried to install tomcat6, but the build failed as it was looking for:

/opt/local/share/java/junit.jar

which is part of the junit port. After installing junit the build proceeded normally. Should junit be installed automatically as a dependency?

Change History (6)

comment:1 Changed 4 years ago by mf2k (Frank Schima)

Cc: blair@… openmaintainer@… removed
Owner: changed from macports-tickets@… to blair@…

Please do not Cc openmaintainer@… because it is not a valid email address.

comment:2 Changed 4 years ago by mf2k (Frank Schima)

junit is already a dependency.

comment:3 Changed 4 years ago by ibethune (Iain Bethune)

I see that now, for whatever reason it didn't install. I tried cleaning and installing again and everything seems to be fine. Please close, sorry about that...

comment:4 Changed 18 months ago by chrstphrchvz (Christopher Chavez)

Can this be closed as worksforme?

comment:5 Changed 18 months ago by chrstphrchvz (Christopher Chavez)

Cc: chrstphrchvz added

comment:6 Changed 17 months ago by chrstphrchvz (Christopher Chavez)

Resolution: fixed
Status: newclosed

In 88133431d7d479a065daab56df9185f193fdabf3/macports-ports (master):

tomcat6, servlet25-api: delete EOL ports

End-of-lifed by upstream in 2016.

Closes: #25663
Closes: #36792
Closes: #37515
Closes: #51099
Closes: #52449

Note: See TracTickets for help on using tickets.